# Summary

* [Guide](/guide.md)
    * [Tutorial](/tutorial.md)
    * [Syntax](/syntax/main.md)
        * [Data Binding](/syntax/data-binding.md)
        * [Style and Class](/syntax/style-n-class.md)
        * [Events](/syntax/events.md)
        * [Display Logic Control](/syntax/display-logic.md)
        * [Render Logic Control](/syntax/render-logic.md)
        * [Composed Component](/syntax/composed-component.md)
        * [Find an Element](/syntax/id.md)
        * [Communications](/syntax/comm.md)
        * [Page Config & Data](/syntax/config-n-data.md)
    * [How-tos](/how-to/main.md)
        * [Preview In Browser](/how-to/preview-in-browser.md)
        * [Preview in Native](/how-to/preview-in-playground-app.md)        
        * [Customize a native Component](/how-to/customize-a-native-component.md)
        * [Customize native APIs](/how-to/cuszomize-native-apis.md)
        * [Debug in html5 renderer](/how-to/debug-with-html5.md)
        * [Require 3rd Party Libs](/how-to/require-3rd-party-libs.md)
        * [Transform Code Into JS Bundle](/how-to/transform-code-into-js-bundle.md)       

    * [Advanced](/advanced/main.md)
        * [How It Works](/advanced/how-it-works.md)
        * [How Data Binding Works](/advanced/how-data-binding-works.md)
        * [Integrate to Android](/advanced/integrate-to-android.md)
        * [Integrate to iOS](/advanced/integrate-to-ios.md)
        * [Integrate to web](/advanced/integrate-to-html5.md)
        * [Extend to Android](/advanced/extend-to-android.md)
        * [Extend to iOS](/advanced/extend-to-ios.md)
        * [Extend to web](/advanced/extend-to-html5.md)
* [References](/references/main.md)

    * [Bootstrap](/references/bootstrap.md)
    * [Component Definition](/references/component-defs.md)
    * [Instance APIs](/references/api.md)
    * [Built-in Components](/components/main.md)
        * [Common Attributes](/references/common-attrs.md)
        * [Common Style](/references/common-style.md)
            * [Text Style](/references/text-style.md)
            * [Color](/references/color-names.md)
        * [Common Event](/references/common-event.md)
        * [Special Element](/components/special-element.md)
        * [div](/components/div.md)
        * [scroller](/components/scroller.md)
        * [list](/components/list.md)
            * [cell](/components/cell.md)
        * [text](/components/text.md)
        * [image](/components/image.md)
        * [input](/components/input.md)
        * [switch](/components/switch.md)
        * [slider](/components/slider.md)
            * [indicator](/components/indicator.md)
        * [video](/components/video.md)
        * [a](/components/a.md)
        * [web](/components/web.md)
        * [wxc-tabbar](/components/wxc-tabbar.md)
        * [wxc-navpage](/components/wxc-navpage.md)
    * [Built-in Modules](/modules/main.md)
        * [dom](/modules/dom.md)
        * [stream](/modules/stream.md)
        * [modal](/modules/modal.md)
        * [animation](/modules/animation.md)
        * [webview](/modules/webview.md)
        * [navigator](/modules/navigator.md)
    * Low-level Specs
        * [JS Bundle Format](/specs/js-bundle-format.md)
        * [JS Framework APIs](/specs/js-framework-apis.md)
        * [Virtual DOM APIs](/specs/virtual-dom-apis.md)
* Examples
    * [Hello World](demo/hello-world.md)
    * [Modal](demo/modal.md)
    * [List](demo/list.md)
    * [Slider](demo/slider.md)
    * [Animation](demo/animation.md)
    * [More](https://github.com/alibaba/weex/tree/dev/examples)
    
* Service & Tools
    * [CLI](/tools/cli.md)
    * [Devtools](/tools/devtools.md)
        * [Weex devtools (Android)](/tools/devtools-android.md)
        * [Weex devtools (IOS)](/tools/devtools-ios.md)
    * [Transformer](/tools/transformer.md)
    * [Playground App](/tools/playground-app.md)

* [FAQ](/faq.md)

